Subject: bug#74217: Bootstrapping Zig with no Binary Blobs

From: Hilton Chain <[email-masked]>
Date: Sat, 16 Nov 2024 15:18:53 +0800

On Sat, 16 Nov 2024 15:13:40 +0800,
Motiejus Jakštys wrote:
> 
> On Sat, Nov 16, 2024 at 8:55 AM Hilton Chain <[email-masked]> wrote:
> >
> > On Fri, 15 Nov 2024 22:30:40 +0800,
> > Hilton Chain wrote:
> > >
> > > Also for reproducibility, bin/zig is the only file differs and here's the diff,
> > > I don't know about this part so I currently have no idea on fixing it.
> >
> > This seem to be an upstream issue, Zig is reproducible only on the same machine.
> > I'll verify it and report to upstream.
> 
> Zig defaults to `-march=native` when building for the host. Try
> ZIG_TARGET_MCPU=baseline when building stage3.

Yes, ZIG_TARGET_MCPU=baseline is passed to cmake.